# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import time_string, time_stamp
from zbot import kernel

import logging

## do_find command

daylist = ["Date", "ctime", "path"]

def do_find(event):
    opts = event.opts
    if "u" in event.knobs: uniq = True
    else: uniq = False
    uniqlist = []
    for obj in event.objects():
        go = True ; res = ""
        for opt in opts:
            try:
                if opts[opt] not in str(obj[opt]): go = False 
            except KeyError: pass
        if not go: continue
        for arg in event.args:
            try: value = getattr(obj, arg)
            except: continue
            if not value: continue
            res += "%s%s" % (value, " -=- ")
        if res:
            if uniq:
                if res in uniqlist: continue
                uniqlist.append(res)
            event.reply(res[:-5])

kernel.cmnds.register("find", do_find)
